/* Core CSS */

/*- #3f5852 -*/


body {
    font-family: "Montserrat", Helvetica, Arial, "sans-serif";
    display: grid;
    margin: 0;
}

h1,
h2,
h3,
h4 {
    color: #3f5852;
    margin: 0;
    font-weight: 600;
    font-family: 'Libre Baskerville', serif;
}

p,
li {
    font-weight: 500;
    font-size: 15px;
    line-height: 24px;
    margin: 0;
    color: #444;
}

b,
strong {
    color: #3f5852;
}

a {
    margin: 0;

    text-decoration: none;

    color: #3f5852;
    transition: ease color .5s;
}

a:hover {
    curor: pointer;
    color: #3f5852;
}

a:visited {
    color: #3f5852;
}

/* - - - - - - - - - - */

#page-content {
    padding: 64px 0;
    display: grid;
    grid-gap: 32px;
}


.workspace {
    grid-gap: 32px;
}

/* - - - - - - - - - */

.desktop-img {
    display: none;
}

@media(min-width:768px) {
    .desktop-img {
        display: block;
    }

    .mobile-img {
        display: none;
    }
}

/* - */

.feature-1 {
    background-color: #222;
    padding: 24px;
    z-index: 3;
    border: solid 4px aliceblue;
    margin-top: -96px;
    width: 80%;
}

@media(min-width: 768px) {
    .feature-1 {
        margin-top: -32px;
    }
}

@media(min-width: 1200px) {
    .feature-1 {
        margin-top: -64px;
    }
}

@media(min-width: 1600px) {
    .feature-1 {
        width: 100%;
        margin-top: -128px;
    }
}

.feature-img-border {
    border: 1px solid #fff;
    padding: 8px;
    width: calc(100% - 16px);
}

.feature-container {
    display: grid;
    align-content: start;
}

.feature-content {
    display: grid;

    border-left: solid 2px #fff;
    border-right: solid 2px #fff;
    border-bottom: solid 2px #fff;

    margin: 24px 0px 16px;
}

.feature-title {
    display: grid;

    grid-template-columns: 5% max-content auto;
    grid-gap: 16px;
}

.feature-title h3 {
    margin-top: -11px;
    letter-spacing: 1px;
    color: #fff;
}

.feature-title-bar {
    width: 100%;
    height: 2px;
    background-color: #fff;
}

.feature-content p {
    color: #fff;
    padding: 16px;
    font-size: 15px;
    line-height: 24px;
}

.feature-read-more {
    display: grid;
    justify-self: center;
    border: 1px solid #fff;
    padding: 8px 16px;
    transition: ease opacity .5s;
}

.feature-read-more:hover {
    opacity: 0.5;
}


.feature-read-more h4 {
    text-transform: capitalize;
    color: #fff;
    font-weight: 600;
    letter-spacing: 1px;
}

.feature-1 .btn {
    color: #fff;
    padding: 8px;
    text-align: center;
    background-color: #3f5852;
    border: none !important;
}

/* - */

.centered {
    display: grid;
    justify-self: center;
    justify-content: center;
}

.centered h1,
.centered h2,
.centered h3,
.centered h4,
.centered p,
.centered a {
    justify-self: center;
}

/* - */

.stack {
    align-self: start;
}

/* - */

.sec {
    padding: 16px 0;
}

.heading {
    grid-gap: 8px;
}

.heading h1 {
    color: #3f5852;
    font-size: 32px;
}

.heading h3 {
    color: #676767;
    border-top: solid 2px #3f5852;
    padding-top: 8px;
}


/* - */


.dark {
    background-color: #222;
}


/* - */


.btn {
    border-top: 1px solid;
    border-bottom: 1px solid;
    justify-self: start;
    padding: 16px;
    font-weight: 400;
}

.btn:hover {
    color: #ccc;
}

.list {
    display: grid;
    align-content: center;
}

.list p {
    align-content: center;
    display: grid;
    grid-template-columns: max-content auto;
}

.list p:before {
    font-family: "Font Awesome 5 Pro";
    font-weight: 300;
    color: #3f5852;
    align-self: start;
    content: "\f1b0";
    margin-right: 8px;
    font-size: 16px;
    border-right: solid 2px;
    padding-right: 8px;
}

/* - */



/* - Testimonials - */

.testimonial-container {
    display: grid;
    width: 100%;
    background-image: url('../img/testimonial-bg.jpg');
    background-attachment: fixed;
    background-position: center center;
    background-color: #111;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 400px;
}

.testimonial {
    display: grid;
    align-self: center;
    justify-self: center;

    grid-row: 1;
    grid-column: 1;

    grid-gap: 16px;

    width: 512px;
    max-width: 80vw;

    opacity: 1;

    transition: opacity ease .5s;

    z-index: 3;
}

.opacity-0 {
    opacity: 0 !important;
}

.testimonial h3 {
    color: #fff;
    justify-self: center;
    font-size: 32px;
}

.testimonial p {
    color: #fff;
    justify-self: center;
    text-align: center;
}

.star-container {
    display: grid;
    align-content: center;
    justify-content: center;
}

.star {
    color: #f4eee0;
    grid-row: 1;
}


.testimonial-controls {
    display: grid;
    z-index: 1;
    grid-row: 2;
    grid-column: 1;
    align-content: center;
    padding: 0 32px;
}

@media(min-width: 992px) {
    .testimonial-controls {
        grid-row: 1;
        grid-column: 1;
    }
}


.testimonial-arrow {
    color: #fff;
    font-size: 32px;
    grid-row: 1;
    grid-column: 1;

    transition: opacity .5s ease;
}

.testimonial-arrow:hover {
    cursor: pointer;
    opacity: 0.5;
}

.testimonial-left {
    justify-self: start;
}

.testimonial-right {
    justify-self: end;
}

.testimonial-dots {
    display: grid;
    grid-gap: 8px;
    justify-content: center;
    justify-self: center;
    align-self: center;
    z-index: 3;

    grid-row: 2;
    grid-column: 1;
}

.testimonial-dot {
    grid-row: 1;
    width: 8px;
    height: 8px;
    border-radius: 16px;
    border: #fff solid 1px;
    align-self: center;
}

.testimonial-dot:hover {
    cursor: pointer;
    border-color: #3f5852;
}

.active-testimonial-dot {
    background-color: #f4eee0;
    border-color: #f4eee0;
    /*border: none;*/
}

/* - */

.contact-page-details {
    display: none !important;
}

@media(min-width: 768px) {
    .contact-page-details {
        display: grid !important;
    }
}


/* - */

hr {
    width: 80%;
    height: 1px;
    background-color: #3f5852;
    border: none;
}

@media(min-width: 768px) {
    hr {
        width: 750px;
    }
}

@media(min-width: 992px) {
    hr {
        width: 950px;
    }
}

@media(min-width: 1200px) {
    hr {
        width: 1200px;
    }
}

/* Catch-all Centering Class */
.cent {
    justify-self: center;
    text-align: center;
}

/* - */

.contact-box {
    border: solid 1px;
    border-top: none;
    color: #6f6f6f;
}

.contact-box-top {
    display: grid;
    grid-template-columns: 32px max-content auto;
    grid-gap: 16px;
}

.contact-box-line {
    border-top: 1px solid;
}

.contact-box-top h2 {
    margin-top: -16px;
}

.contact-box-content {
    padding: 0px 32px 24px;
}

hr {
    background: url("../img/feet.png") no-repeat top center;
    background-size: contain;
    display: block;
    height: 50px;
    border: 0;
    position: relative;
}

hr:before,
hr:after {
    content: '';
    display: block;
    position: absolute;
    background: #3F5852;
    height: 2px;
    top: 22px;
}

hr:before {
    left: 0;
    right: 60%;
    margin-right: 10px;
    margin-left: 70px;
}

hr:after {
    right: 0;
    left: 60%;
    margin-left: 10px;
    margin-right: 70px;
}

.imageback {
    padding: 50px 0px;
    background-color: #F4DFCE;
    background-image: url("../img/background-image.png");
    background-repeat: no-repeat;
    background-size: cover;
}


.zoom {
    transition: transform 2s ease-in-out;
}

.zoom:hover {
    transform: scale(1.05);
}

.zoomsection {
    overflow-x: visible !important;
}

.zoomsection .element .img {
    max-height: 100px;
}
